=== debian/changelog ===
auto-multiple-choice (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 01 Aug 2013 10:05:42 +0200
