=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	SYSTEM_TYPE=deb dh $@ --with tex

override_dh_installtex:
	dh_installtex -pauto-multiple-choice-common
