=== debian/watch ===
version=3

http://download.gna.org/auto-qcm/auto-multiple-choice_(.*)_sources\.tar\.gz
