## auto-multiple-choice 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2008-2012 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2008-2016 Alexis Bienvenue <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -19,27 +19,19 @@
 
 # Loads separate configuration file
 
-ifeq ($(AMCCONF),)
-AMCCONFFILE ?= Makefile.conf
-else
-AMCCONFFILE = Makefile-$(AMCCONF).conf
-endif
-
-SUB_MAKEFILES=$(wildcard Makefile.versions $(AMCCONFFILE))
-
-include $(SUB_MAKEFILES)
-
-PACKAGE_DEB_DV=1
+include Makefile-all.conf
+
+PACKAGE_DEB_TARGET=unstable
 PERLPATH ?= /usr/bin/perl
 
 # DATE/TIME to be substituted
 
-DATE_RPMCHL:=$(shell LC_TIME=en_US date +"%a %b %e %Y")
-DATE_DEBCHL:=$(shell LANG=C date "+%a, %d %b %Y %H:%M:%S %z")
+DATE_RPMCHL:=$(shell LC_TIME=en date +"%a %b %e %Y")
+DATE_DEBCHL:=$(shell LANG=en date "+%a, %d %b %Y %H:%M:%S %z")
 
 # list variables to be substituted in *.in files
 
-SUBST_VARS:=$(shell grep -h '=' $(SUB_MAKEFILES) | perl -pe 's/\#.*//;s/\??\+?=.*//;' ) PACKAGE_DEB_DV PERLPATH DATE_DEBCHL DATE_RPMCHL
+SUBST_VARS:=$(sort $(shell grep -h '=' $(SUB_MAKEFILES) | perl -pe 's/\#.*//;s/\??\+?=.*//;' ) PACKAGE_DEB_DV PACKAGE_DEB_TARGET PERLPATH DATE_DEBCHL DATE_RPMCHL)
 
 # Some default values
 
@@ -51,22 +43,31 @@
 # try to find right names for OpenCV libs 
 
 ifeq ($(GCC_OPENCV_LIBS),auto)
-ifeq ($(shell echo 'main(){}' | gcc -xc -lopencv_core - -o /dev/null 2>/dev/null && echo "OK"),OK)
+ifeq ($(shell echo 'int main(){}' | gcc -xc -lopencv_core - && ( rm -f a.out ; echo "OK")),OK)
   GCC_OPENCV_LIBS:=-lopencv_core -lopencv_highgui -lopencv_imgproc
 else
   GCC_OPENCV_LIBS:=-lcv -lhighgui -lcxcore
 endif
 endif
 
+GCC_OPENCV ?= $(shell pkg-config --cflags opencv)
+GCC_OPENCV_LIBS ?= $(shell pkg-config --libs opencv)
+GCC_PDF ?= $(shell pkg-config --cflags --libs cairo pangocairo poppler-glib)
+
 #
 
 SHELL=/bin/sh
 
 DESTDIR=
 
+# debug...
+
+print-%: FORCE
+	@echo "$*=$($*)"
+
 # AMC components to build
 
-BINARIES ?= AMC-traitement-image AMC-detect
+BINARIES ?= AMC-detect AMC-buildpdf
 
 MODS=AMC-*.pl
 GLADE_FROMIN:=$(basename $(wildcard AMC-gui-*.glade.in))
@@ -82,7 +83,7 @@
 
 # list *.in files for @/VAR/@ substitution
 
-FROM_IN=auto-multiple-choice auto-multiple-choice.desktop $(GLADE_FROMIN) AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.en.xsl doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml) $(DTX)
+FROM_IN=auto-multiple-choice auto-multiple-choice.desktop $(GLADE_FROMIN) AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml) $(DTX)
 
 # Is this a precomp tarball? If so, the PRECOMP file is present.
 
@@ -105,9 +106,11 @@
 # Target switch (precomp archive or not)
 
 ifeq ($(PRECOMP_ARCHIVE),)
-all: $(FROM_IN) $(BINARIES) $(MAIN_LOGO).xpm doc I18N ;
-else
-all: all_precomp ;
+all: $(FROM_IN) $(BINARIES) $(MAIN_LOGO).xpm doc I18N
+	chmod a+x auto-multiple-choice
+else
+all: all_precomp
+	chmod a+x auto-multiple-choice
 endif
 
 all_precomp: $(FROM_IN) $(BINARIES) ;
@@ -115,20 +118,26 @@
 MAJ: $(FROM_IN) ;
 
 # Binaries
-
-AMC-traitement-image: AMC-traitement-image.c Makefile
-	$(GCC) -o $@ $< $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(GCC_NETPBM)
 
 AMC-detect: AMC-detect.cc Makefile
 	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_OPENCV) $(GCC_OPENCV_LIBS)
 
+AMC-buildpdf: AMC-buildpdf.cc buildpdf.cc Makefile
+	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_PDF) $(GCC_OPENCV) $(GCC_OPENCV_LIBS)
+
 # substitution in *.in files
 
-%.xml: %.in.xml
-	perl -p $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) -e 's+/usr/share/xml/docbook/schema/dtd/4.5/docbookx.dtd+$(DOCBOOK_DTD)+g;' $< > $@
-
-%: %.in $(SUB_MAKEFILES)
-	perl -p $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) $< > $@
+vars-subs.pl: $(SUB_MAKEFILES)
+	@echo "Recording substitution variables from $(SUB_MAKEFILES)"
+	@echo "# Variables:" > $@
+	@$(foreach varname,$(SUBST_VARS), echo 's|@/$(varname)/@|$($(varname))|g;' >> $@ ; )
+	@echo 's+/usr/share/xml/docbook/schema/dtd/4.5/docbookx.dtd+$(DOCBOOK_DTD)+g;' >> $@
+
+%.xml: %.in.xml vars-subs.pl 
+	perl -p vars-subs.pl $< > $@
+
+%: %.in vars-subs.pl
+	perl -p vars-subs.pl $< > $@
 
 # some components
 
@@ -160,11 +169,13 @@
 
 clean_IN: FORCE
 	rm -rf debian/auto-multiple-choice
+	rm -f local/deb-auto-changelog
 	rm -f $(FROM_IN)
 
 clean: clean_IN FORCE
-	rm -f $(BINARIES) $(MAIN_LOGO).xpm
-	rm -f auto-multiple-choice.spec
+	-rm -f $(BINARIES) $(MAIN_LOGO).xpm
+	-rm -f auto-multiple-choice.spec
+	-rm -f vars-subs.pl
 	$(MAKE) -C doc/sty clean
 	$(MAKE) -C doc clean
 	$(MAKE) -C I18N clean
@@ -179,12 +190,12 @@
 
 install_models_%: FORCE
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MODELSDIR)/$*
-	install    -m 0644 $(USER_GROUP) doc/modeles/$*/*.tgz $(DESTDIR)/$(MODELSDIR)/$*
-	install    -m 0644 $(USER_GROUP) doc/modeles/$*/*.xml $(DESTDIR)/$(MODELSDIR)/$*
+	-install    -m 0644 $(USER_GROUP) doc/modeles/$*/*.tgz $(DESTDIR)/$(MODELSDIR)/$*
+	-install    -m 0644 $(USER_GROUP) doc/modeles/$*/*.xml $(DESTDIR)/$(MODELSDIR)/$*
 
 install_models: $(addprefix install_models_,$(SUBMODS)) ;
 
-install: install_lang install_models FORCE
+install_nodoc: install_lang install_models FORCE
 ifneq ($(SYSTEM_TYPE),deb) # with debian, done with dh_installmime
 ifneq ($(SHARED_MIMEINFO_DIR),)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(SHARED_MIMEINFO_DIR)
@@ -203,10 +214,6 @@
 	install    -m 0644 $(USER_GROUP) $(GLADE) $(DESTDIR)/$(MODSDIR)/perl
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDIR)
 	install    -m 0644 $(USER_GROUP) $(STY) $(DESTDIR)/$(TEXDIR)
-ifneq ($(TEXDOCDIR),)
-	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDOCDIR)
-	install    -m 0644 $(USER_GROUP) doc/sty/*.pdf doc/sty/*.tex $(DESTDIR)/$(TEXDOCDIR)
-endif
 ifneq ($(DESKTOPDIR),)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DESKTOPDIR)
 	install    -m 0644 $(USER_GROUP) -T auto-multiple-choice.desktop $(DESTDIR)/$(DESKTOPDIR)/auto-multiple-choice.desktop
@@ -226,6 +233,7 @@
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Filter/register
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/DataModule
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Gui
+	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Print
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/*.pm $(DESTDIR)/$(PERLDIR)/AMC
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Export/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Export
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Export/register/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Export/register
@@ -234,6 +242,14 @@
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/DataModule/*.pm $(DESTDIR)/$(PERLDIR)/AMC/DataModule
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Gui
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.glade $(DESTDIR)/$(PERLDIR)/AMC/Gui
+	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Print/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Print
+
+install_doc: FORCE
+	@echo "Installing doc..."
+ifneq ($(TEXDOCDIR),)
+	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDOCDIR)
+	install    -m 0644 $(USER_GROUP) doc/sty/*.pdf doc/sty/*.tex $(DESTDIR)/$(TEXDOCDIR)
+endif
 ifneq ($(SYSTEM_TYPE),deb) # with debian, done with dh_install{doc,man}
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DOCDIR)
 	install    -m 0644 $(USER_GROUP) $(wildcard doc/auto-multiple-choice.??.xml doc/auto-multiple-choice.??.pdf) $(DESTDIR)/$(DOCDIR)
@@ -250,6 +266,8 @@
 	install    -m 0644 $(USER_GROUP) doc/*.1 $(DESTDIR)/$(MAN1DIR)
 endif
 
+install: install_nodoc install_doc ;
+
 # Test
 
 manual-test:
@@ -264,7 +282,7 @@
 
 global: FORCE
 	$(MAKE) -C I18N global LOCALEDIR=$(LOCALEDIR) LOCALDIR=$(LOCALDIR)
-	-sudo rm /usr/share/perl5/AMC $(ICONSDIR) /usr/share/doc/auto-multiple-choice /usr/share/doc/auto-multiple-choice-doc $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop $(MODELSDIR) /usr/bin/auto-multiple-choice $(TEXDIR)/automultiplechoice.sty
+	-sudo rm /usr/share/perl5/AMC $(ICONSDIR) /usr/share/doc/auto-multiple-choice /usr/share/doc/auto-multiple-choice-doc $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop $(MODELSDIR) /usr/bin/auto-multiple-choice $(TEXDIR)/automultiplechoice.sty $(SHARED_MIMEINFO_DIR)/auto-multiple-choice.xml $(LANG_GTKSOURCEVIEW_DIR)/amc-txt.lang
 	-sudo rm -r /usr/lib/AMC
 
 local: global
@@ -275,8 +293,8 @@
 	test -d /usr/share/auto-multiple-choice  || sudo mkdir -p /usr/share/auto-multiple-choice
 	test -d $(TEXDIR) || sudo mkdir $(TEXDIR)
 	sudo ln -s $(LOCALDIR)/AMC-perl/AMC /usr/share/perl5/AMC
-	sudo ln -s $(LOCALDIR)/AMC-traitement-image /usr/lib/AMC/exec/AMC-traitement-image
 	sudo ln -s $(LOCALDIR)/AMC-detect /usr/lib/AMC/exec/AMC-detect
+	sudo ln -s $(LOCALDIR)/AMC-buildpdf /usr/lib/AMC/exec/AMC-buildpdf
 	sudo ln -s $(LOCALDIR)/AMC-*.pl $(LOCALDIR)/AMC-*.glade /usr/lib/AMC/perl
 	sudo ln -s $(LOCALDIR)/auto-multiple-choice /usr/bin
 	sudo ln -s $(LOCALDIR)/icons $(ICONSDIR)
@@ -284,6 +302,8 @@
 	sudo ln -s $(LOCALDIR)/auto-multiple-choice.desktop $(DESKTOPDIR)/auto-multiple-choice.desktop
 	sudo ln -s $(LOCALDIR)/doc/modeles $(MODELSDIR)
 	sudo ln -s $(LOCALDIR)/$(STY) $(TEXDIR)/automultiplechoice.sty
+	sudo ln -s $(LOCALDIR)/interfaces/amc-txt.lang $(LANG_GTKSOURCEVIEW_DIR)
+	sudo ln -s $(LOCALDIR)/interfaces/auto-multiple-choice.xml $(SHARED_MIMEINFO_DIR)
 
 ifdef DEBSIGN_KEY
 DEBSIGN=-k$(DEBSIGN_KEY)
@@ -296,8 +316,9 @@
 TMP_DIR=/tmp
 SOURCE_DIR=auto-multiple-choice-$(PACKAGE_V_DEB)
 TMP_SOURCE_DIR=$(TMP_DIR)/$(SOURCE_DIR)
-
-SRC_EXCL=--exclude debian '--exclude=*~' 
+ORIG_SOURCES=/tmp/auto-multiple-choice_$(PACKAGE_V_DEB).orig.tar.gz
+
+SRC_EXCL=--exclude debian '--exclude=*~' --exclude .hgignore --exclude .hgtags
 
 version_files:
 	perl local/versions.pl
@@ -311,26 +332,3 @@
 
 portable_vok:
 	$(eval TMP_PORTABLE:=$(shell mktemp -d /tmp/portable.XXXXXXXXXX))
-	$(MAKE) tmp_copy
-	make AMCCONF=portable INSTREP=$(TMP_PORTABLE)/AMC -C $(TMP_SOURCE_DIR)
-	make AMCCONF=portable INSTREP=$(TMP_PORTABLE)/AMC -C $(TMP_SOURCE_DIR) install
-	cd $(TMP_PORTABLE) ; tar cvzf /tmp/auto-multiple-choice_$(PACKAGE_V_DEB)_portable.tar.gz $(SRC_EXCL) AMC
-	rm -rf $(TMP_PORTABLE)
-
-sources_vok:
-	$(MAKE) tmp_copy
-	cd /tmp ; tar cvzf auto-multiple-choice_$(PACKAGE_V_DEB)_sources.tar.gz $(SRC_EXCL) $(SOURCE_DIR)
-	$(MAKE) -C $(TMP_SOURCE_DIR) MAJ
-	$(MAKE) -C $(TMP_SOURCE_DIR) $(MAIN_LOGO).xpm I18N doc
-	$(MAKE) -C $(TMP_SOURCE_DIR) clean_IN
-	$(MAKE) -C $(TMP_SOURCE_DIR) auto-multiple-choice.spec
-	touch $(TMP_SOURCE_DIR)/$(PRECOMP_FLAG_FILE)
-	test -d ../precomp_external && cp -r ../precomp_external/* $(TMP_SOURCE_DIR)
-	cd /tmp ; tar cvzf auto-multiple-choice_$(PACKAGE_V_DEB)_precomp.tar.gz $(SRC_EXCL) $(SOURCE_DIR)
-
-tmp_deb:
-	$(MAKE) local/deb-auto-changelog
-	$(MAKE) tmp_copy
-	cp local/deb-auto-changelog $(TMP_SOURCE_DIR)/debian/changelog
-
-debsrc_vok: tmp_deb
