=== I18N/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2010-2012 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2010-2016 Alexis Bienvenue <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -55,7 +55,7 @@
 
 $(DOMAIN).bpot: $(PERL) $(GLADE)
 	xgettext $(XGETTO) --from-code=UTF-8 --add-comments=TRANSLATORS: $(PERL) -k__ -k__p -k -o $@
-	xgettext $(XGETTO) -j $(GLADE) -o $@
+	xgettext $(XGETTO) -j $(GLADE) -L Glade -o $@
 
 list:
 	grep -lr __ $(AMC) |grep '\.\(pl\|pm\)$$' | grep -v 'debian' ; ls $(GLADE)
