=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2008-2010,2012 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2008-2016 Alexis Bienvenue <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -19,15 +19,21 @@
 
 SHELL=/bin/sh
 
-include ../Makefile.conf
+include ../Makefile-all.conf
 
-DOCBOOKS=$(filter-out $(wildcard *.in.xml),$(wildcard *.xml))
+ALL_DOCBOOKS = $(filter-out $(wildcard *.in.xml),$(wildcard auto-multiple-choice.*.xml))
+DOC_LANG ?= $(patsubst auto-multiple-choice.%.xml,%,$(ALL_DOCBOOKS))
+SELECTED_DOCBOOKS = $(foreach onelang,$(DOC_LANG),auto-multiple-choice.$(onelang).xml)
 
 IMAGES=$(addprefix html/images/,$(notdir $(wildcard img_src/*.svg))) $(addprefix html/images/callouts/,$(notdir $(wildcard img_src/callouts/*.svg)))
+BLOCK_IMAGES=$(addprefix img_pdf/,$(notdir $(wildcard img_src/*.svg)))
 
 MODELS=$(wildcard modeles/*/*.d)
 
-all: $(filter-out %.ja.pdf,$(DOCBOOKS:.xml=.pdf)) $(DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) $(MODELS:.d=.tgz) html/index.html;
+all: $(SELECTED_DOCBOOKS:.xml=.pdf) $(SELECTED_DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) $(MODELS:.d=.tgz) html/index.html;
+
+show_doc_lang:
+	@echo "DOC_LANG = $(DOC_LANG)"
 
 images: $(IMAGES:.svg=.png)
 
@@ -36,7 +42,7 @@
 	rm -f modeles/*.tgz
 	rm -f modeles/**/*.tgz
 	rm -f html/auto-multiple-choice.**/*.html
-	rm -f html/images/callouts/*.png html/images/*.png
+	rm -f html/images/callouts/*.png html/images/*.png img_pdf/*.pdf
 	rm -f *~
 
 html/images/callouts/%.png: img_src/callouts/%.svg
@@ -45,17 +51,29 @@
 html/images/%.png: img_src/%.svg
 	rsvg-convert -w 24 -h 24 $< -o $@
 
+img_pdf/%.pdf: img_src/%.svg
+	rsvg-convert -f pdf $< -o $@
+
 html/index.html: FORCE
 	./index.pl $(DOCBOOKS:.xml=) > $@
 
-%.tex: %.xml
-	dblatex -t tex --xslt-opts="--nonet" --xslt-opts="--catalogs" $(DBLATEX_OPT) $< -o $@
-	perl addlink.pl $@
+%.tex: %.xml amcdocstyle.sty
+	 case $< in \
+	   *.ja.xml) dblatex -P latex.encoding=utf8 -b xetex -t tex -p custom.xsl --texstyle=amcdocstyle --xslt-opts="--nonet" --xslt-opts="--catalogs" $(DBLATEX_OPT) $< -o $@ ;; \
+	   *.xml) dblatex -t tex -p custom.xsl --texstyle=amcdocstyle --xslt-opts="--nonet" --xslt-opts="--catalogs" $(DBLATEX_OPT) $< -o $@ ;; \
+	 esac
 
-%.pdf: %.tex
-	case $< in \
-	  *.ja.tex) platex $<; platex $<; dvipdf $*.dvi ;; \
-	  *.tex) pdflatex $<; pdflatex $< ;; \
+%.pdf: %.tex $(BLOCK_IMAGES:.svg=.pdf)
+	export TEXINPUTS=./img_pdf/: ; case $< in \
+	  *.ja.tex) \
+            sed -i -e '/setuplocale/a\
+\\usepackage{xeCJK}\
+\\setCJKmainfont{IPAexMincho}\
+\\setCJKsansfont{IPAexGothic}\
+\\setCJKmonofont{IPAexGothic}\
+' $<; \
+            xelatex $<; xelatex $<; ../reproducible-pdf.pl --fonts --id $@ ;; \
+	  *.tex) pdflatex $<; pdflatex $<; ../reproducible-pdf.pl --id $@ ;; \
 	esac
 	rm -f $(foreach ext,aux cb cb2 glo idx log out toc,$*.$(ext))
 
@@ -75,7 +93,9 @@
 	date > $@
 
 %.tgz: %.d
-	tar czf $@ -C $< .
+	find $< -type d -exec chmod 0755 '{}' \;
+	find $< -type f -exec chmod 0644 '{}' \;
+	tar cn -C $< $(TAR_REPRODUCIBLE_ARGS) -O . | gzip $(GZIP_REPRODUCIBLE_ARGS) -c > $@
 
 FORCE: ;
