=== debian/changelog ===
auto-multiple-choice (1.3.0-2) unstable; urgency=medium

  * Updates watch file to version 4, with signature check.
  * Adds patches from development version:
    - bugfix-412: Fix for bug #412
    - tests-INC-fix: Fix for tests with recent perl
  * Adds fix-build-with-opencv-3.1 to fix FTBS with OpenCV 3.1,
    thanks to Nobuhiro Iwamatsu; Closes: #841244
  * Reproducible file ordering in models tar archives.
  * Bumps Standards-Version to 3.9.8.0.

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 20 Oct 2016 08:47:56 +0200

auto-multiple-choice (1.3.0-1) unstable; urgency=medium

  * New upstream release. Closes: #784088
  * Drops patches clang-ftbfs and reproducible, which has been merged upstream.
  * Updates dependencies.
  * Removes menu file, as there is a desktop file (see CTTE #741573).
  * Bumped Standards-Version to 3.9.7.0.
  * Adds installation test with Autopkgtest.
  * New mercurial upstream repository.
  * Moves desktop file to auto-multiple-choice package, which is the main
    one to be installed to get the "application".
    
 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 16 Mar 2016 10:12:03 +0100

auto-multiple-choice (1.2.1-4) unstable; urgency=medium

  * applied the recipe found at
    https://wiki.debian.org/ReproducibleBuilds/UsersAndGroupsInTarballs
    which should allow a reproducible build.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Mar 2016 17:32:15 +0100

auto-multiple-choice (1.2.1-3) unstable; urgency=medium

  * Use right directory for LaTeX doc; Closes: #766286
  * Bumped Standards-Version to 3.9.6.0.

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 23 Oct 2014 16:02:55 +0200

auto-multiple-choice (1.2.1-2) unstable; urgency=low

  * [Arthur Marble] Fix FTBFS with clang; Closes: #746196
    - Fixed the Function definition is not allowed here error in
      AMC-traitement-image.c: refactored code so functions can be
      properly defined
  
  * [Alexis Bienvenüe] Bumped Standards-Version to 3.9.5.

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 01 May 2014 21:26:06 +0200
