=== debian/control ===
--- 
+++ 
@@ -5,17 +5,23 @@
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9), gettext, libnetpbm10-dev,
  libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
- docbook-xsl, librsvg2-bin, netpbm, libcv-dev (>=2.1), libhighgui-dev,
- latex-xcolor, tex-common, texlive-lang-french
-Standards-Version: 3.9.4
+ docbook-xsl, librsvg2-bin, netpbm, pgf,
+ pkg-config, libopencv-dev (>=2.1),
+ libpoppler-glib-dev, libcairo2-dev, libpango1.0-dev,
+ latex-xcolor, texlive-xetex, lmodern, pdftk,
+ texlive-lang-french, texlive-lang-japanese
+Standards-Version: 3.9.8.0
 Homepage: http://home.gna.org/auto-qcm/
-Vcs-Browser: http://svn.gna.org/viewcvs/auto-qcm/
-Vcs-Svn: svn://svn.gna.org/svn/auto-qcm/trunk
+Vcs-Browser: https://bitbucket.org/auto-multiple-choice/auto-multiple-choice/src
+Vcs-Hg: https://bitbucket.org/auto-multiple-choice/auto-multiple-choice
+Testsuite: autopkgtest
 
 Package: auto-multiple-choice
 Architecture: any
+Replaces: auto-multiple-choice-common (<< 1.3.0-1)
+Breaks: auto-multiple-choice-common (<< 1.3.0-1)
 Depends: ${misc:Depends}, ${shlibs:Depends},
- auto-multiple-choice-common (= ${source:Version})
+ perl, auto-multiple-choice-common (= ${source:Version})
 Recommends: auto-multiple-choice-doc (= ${source:Version})
 Suggests: texstudio | texmaker | kile, openoffice.org-calc
 Description: Auto Multiple Choice - multiple choice papers management
@@ -34,9 +40,11 @@
  libgraphics-magick-perl, libdbd-sqlite3-perl, libdbi-perl,
  libfile-mimeinfo-perl, libtext-csv-perl, texlive-latex-base,
  latex-xcolor, texlive-generic-recommended, texlive-latex-extra,
- texlive-fonts-extra, imagemagick (>= 7:6.5.5) |
- graphicsmagick-imagemagick-compat, netpbm, ghostscript,
+ texlive-fonts-recommended, texlive-fonts-extra,
+ imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
+ netpbm, ghostscript,
  poppler-utils, libarchive-zip-perl, librsvg2-common, unzip,
+ libglib-object-introspection-perl
 Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60), 
  libopenoffice-oodoc-perl, libemail-mime-perl, libemail-sender-perl,
  fonts-linuxlibertine | ttf-linux-libertine, texlive-xetex,
