=== debian/tests/control ===
Tests: simple
Depends: @, libipc-run-perl

Tests: gui
Depends: @, xvfb
