=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.sig/" http://download.gna.org/auto-qcm/auto-multiple-choice_(.*)_sources\.tar\.gz
