## auto-multiple-choice 1.4.0~rc1

=== debian/changelog ===
auto-multiple-choice (1.4.0~rc1-2) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * GUI test: depend on at-spi2-core to avoid warnings on stderr,
    thanks to Paul Gevers. Closes: #903699.

 -- Alexis Bienvenüe <pado@passoire.fr>  Sat, 14 Jul 2018 19:22:56 +0200

auto-multiple-choice (1.4.0~rc1-1) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * New upstream version 1.4.0~rc1. Closes: #902655.
  * Updates dependencies for new upstream version.
  * Removes all patches now included upstream.
  * Removes the Testsuite entry in d/control, see
    https://lintian.debian.org/tags/unnecessary-testsuite-autopkgtest-field.html
  * Adds a dependency on liblocale-codes-perl. Closes: #903254.
  * Bumps Standards-Version to 4.1.5.0, no change needed.

  [ Georges Khaznadar ]
  * rebuilt and signed

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Jul 2018 09:44:44 +0200

auto-multiple-choice (1.3.0-5) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * Fix FTBFS with TL2018, using \UseRawInputEncoding.
    Closes: #896948
    
  [ Georges Khaznadar ]
  * moved all patches under debian/patches, refreshed the patch
    latex-docstrip-raw-encoding.diff
  * modified Vcs stuff in debian/controll, to point to salsa.debian.org

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Apr 2018 12:55:44 +0200

auto-multiple-choice (1.3.0-4) unstable; urgency=medium

  * Corrects obsolete perl syntax for use with perl 5.26,
    thanks to Steve Langasek; Closes: #870129

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 08 Aug 2017 21:20:06 +0200

auto-multiple-choice (1.3.0-3) unstable; urgency=medium

  * Updates dependency on dropped packages latex-xcolor and pgf;
    Closes: #865233
  * Updates download URL.

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 20 Jun 2017 23:18:05 +0200
